Oracle Linux 5 / 6 : Unbreakable Enterprise kernel (ELSA-2014-3016)

Critical Nessus Plugin ID 73243

Synopsis

The remote Oracle Linux host is missing one or more security updates.

Description

Description of changes:

[2.6.32-400.34.4.el6uek]
- netfilter: nf_conntrack_dccp: fix skb_header_pointer API usages (Daniel Borkmann) [Orabug: 18462076] {CVE-2014-2523}
- net: sctp: fix sctp_sf_do_5_1D_ce to verify if we/peer is AUTH capable (Daniel Borkmann) [Orabug: 18461091] {CVE-2014-0101}

Solution

Update the affected unbreakable enterprise kernel packages.

See Also

https://oss.oracle.com/pipermail/el-errata/2014-March/004045.html

https://oss.oracle.com/pipermail/el-errata/2014-March/004046.html

Plugin Details

Severity: Critical

ID: 73243

File Name: oraclelinux_ELSA-2014-3016.nasl

Version: 1.11

Type: local

Agent: unix

Published: 2014/03/28

Updated: 2019/09/30

Dependencies: 12634, 122878

Risk Information

Risk Factor: Critical

CVSS v2.0

Base Score: 10

Temporal Score: 8.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:kernel-uek, p-cpe:/a:oracle:linux:kernel-uek-debug, p-cpe:/a:oracle:linux:kernel-uek-debug-devel, p-cpe:/a:oracle:linux:kernel-uek-devel, p-cpe:/a:oracle:linux:kernel-uek-doc, p-cpe:/a:oracle:linux:kernel-uek-firmware, p-cpe:/a:oracle:linux:kernel-uek-headers, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.34.4.el5uek, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.34.4.el5uekdebug, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.34.4.el6uek, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.34.4.el6uekdebug, p-cpe:/a:oracle:linux:ofa-2.6.32-400.34.4.el5uek, p-cpe:/a:oracle:linux:ofa-2.6.32-400.34.4.el5uekdebug, p-cpe:/a:oracle:linux:ofa-2.6.32-400.34.4.el6uek, p-cpe:/a:oracle:linux:ofa-2.6.32-400.34.4.el6uekdebug, cpe:/o:oracle:linux:5, cpe:/o:oracle:linux:6

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2014/03/27

Vulnerability Publication Date: 2014/03/11

Reference Information

CVE: CVE-2014-0101, CVE-2014-2523

BID: 65943, 66279